com.amazonaws.services.simpleworkflow.model

## Class LambdaFunctionCompletedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.LambdaFunctionCompletedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class LambdaFunctionCompletedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details for the `LambdaFunctionCompleted` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LambdaFunctionCompletedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`LambdaFunctionCompletedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getResult()` The result of the function execution (if any).
`Long` `getScheduledEventId()` The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled.
`Long` `getStartedEventId()` The ID of the `LambdaFunctionStarted` event recorded in the history.
`int` `hashCode()`
`void` `setResult(String result)` The result of the function execution (if any).
`void` `setScheduledEventId(Long scheduledEventId)` The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled.
`void` `setStartedEventId(Long startedEventId)` The ID of the `LambdaFunctionStarted` event recorded in the history.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`LambdaFunctionCompletedEventAttributes` `withResult(String result)` The result of the function execution (if any).
`LambdaFunctionCompletedEventAttributes` `withScheduledEventId(Long scheduledEventId)` The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled.
`LambdaFunctionCompletedEventAttributes` `withStartedEventId(Long startedEventId)` The ID of the `LambdaFunctionStarted` event recorded in the history.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LambdaFunctionCompletedEventAttributes

    public LambdaFunctionCompletedEventAttributes()

### Method Detail

#### setScheduledEventId

    public void setScheduledEventId(Long scheduledEventId)

The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getScheduledEventId

    public Long getScheduledEventId()

The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withScheduledEventId

    public LambdaFunctionCompletedEventAttributes withScheduledEventId(Long scheduledEventId)

The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedEventId

    public void setStartedEventId(Long startedEventId)

The ID of the `LambdaFunctionStarted` event recorded in the history.

Parameters:
  `startedEventId` - The ID of the `LambdaFunctionStarted` event recorded in the history.

#### getStartedEventId

    public Long getStartedEventId()

The ID of the `LambdaFunctionStarted` event recorded in the history.

Returns:
  The ID of the `LambdaFunctionStarted` event recorded in the history.

#### withStartedEventId

    public LambdaFunctionCompletedEventAttributes withStartedEventId(Long startedEventId)

The ID of the `LambdaFunctionStarted` event recorded in the history.

Parameters:
  `startedEventId` - The ID of the `LambdaFunctionStarted` event recorded in the history.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setResult

    public void setResult(String result)

The result of the function execution (if any).

Parameters:
  `result` - The result of the function execution (if any).

#### getResult

    public String getResult()

The result of the function execution (if any).

Returns:
  The result of the function execution (if any).

#### withResult

    public LambdaFunctionCompletedEventAttributes withResult(String result)

The result of the function execution (if any).

Parameters:
  `result` - The result of the function execution (if any).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public LambdaFunctionCompletedEventAttributes clone()

Overrides:
  `clone` in class `Object`